<app-header-logged showBackButton="1">
    <!-- <ion-back-button text="" defaultHref="/mesassurances"></ion-back-button> -->
</app-header-logged>
<ion-content padding>

    <div class="money">
        <p class="dash">Comment pouvons-nous vous aider ?</p>
        <img src="../../assets/faq1.svg" style="height:170px;width:250px;" />
        <ion-searchbar [(ngModel)]="this.mot" placeholder="Saisissez des mots-clés pour trouver des réponses" showCancelButton="focus" color="#ffc409"></ion-searchbar>
    </div>
    <div>
        <font style="
        font-size: 10px;
        font-weight: bolder;
        font-family: cursive;
        margin-right: 10px;
        float: right;
        color: green;
      ">{{date}}</font>
    </div>
    <br/>
    <p class="dash">Questions Fréquentes</p>
    <div *ngFor="let item of Categories | faq:this.mot;">
        <ion-card style="width: auto;">
            <ion-card-header>
                <img [src]="item.image" style="height:130px;width:250px;" />
                <ion-card-title color="primary">{{item.libelle}}</ion-card-title>
            </ion-card-header>

            <ion-card-content>
                <ion-list *ngFor="let q of item.questions | slice:0:3;">
                    <ion-item (click)="ModalDetailsOneQuestion(q)">
                        {{q.libelle}}
                        <!-- <ion-icon color="primary" name="eye" slot="end"></ion-icon> -->
                        <ion-icon color="primary" name="arrow-dropright-circle" slot="end"></ion-icon>
                    </ion-item>
                </ion-list>
                <br>
                <ion-button fill="outline" shape="round" size="small" (click)="ModalAllQuestionByCategories(item)">
                    <ion-icon name="eye" slot="start"></ion-icon>
                    Voir toutes les questions
                </ion-button>
            </ion-card-content>
        </ion-card>
    </div>
</ion-content>
